Skip to main content
PATCH
Update task

Authorizations

x-api-key
string
header
required

Path Parameters

taskId
string
required
Pattern: ^\d+$

Body

application/json
type
string
subject
string
description
string | null

The task text. For call tasks, the call instructions. On other tasks, in workspaces that sync tasks with their CRM, a blank or null value sent without notes also clears notes.

assignedId
integer | null
notes
string | null

Legacy. For call tasks, the call notes. For other tasks, prefer description. In workspaces that sync tasks with their CRM, a value sent here without description is stored as the description, and a blank one is ignored; it never replaces an existing description, and is then stored as notes.

ownerId
string | null
dueDate
string
priority
enum<string> | null
Available options:
LOW,
MEDIUM,
HIGH,
null

Response

200 - application/json

Task updated successfully

status
enum<string>
required
Available options:
success
message
string
required
data
object
required